[arch-commits] Commit in libtool/repos (6 files)

Allan McRae allan at archlinux.org
Tue Oct 18 09:20:13 EDT 2011


    Date: Tuesday, October 18, 2011 @ 09:20:12
  Author: allan
Revision: 140704

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  libtool/repos/testing-i686/
  libtool/repos/testing-i686/PKGBUILD
    (from rev 140703, libtool/trunk/PKGBUILD)
  libtool/repos/testing-i686/libtool.install
    (from rev 140703, libtool/trunk/libtool.install)
  libtool/repos/testing-x86_64/
  libtool/repos/testing-x86_64/PKGBUILD
    (from rev 140703, libtool/trunk/PKGBUILD)
  libtool/repos/testing-x86_64/libtool.install
    (from rev 140703, libtool/trunk/libtool.install)

--------------------------------+
 testing-i686/PKGBUILD          |   49 +++++++++++++++++++++++++++++++++++++++
 testing-i686/libtool.install   |   20 +++++++++++++++
 testing-x86_64/PKGBUILD        |   49 +++++++++++++++++++++++++++++++++++++++
 testing-x86_64/libtool.install |   20 +++++++++++++++
 4 files changed, 138 insertions(+)

Copied: libtool/repos/testing-i686/PKGBUILD (from rev 140703, libtool/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-10-18 13:20:12 UTC (rev 140704)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+# NOTE: requires rebuilt with each new gcc version
+
+pkgname=('libtool' 'libltdl')
+pkgver=2.4.2
+pkgrel=1
+pkgdesc="A generic library support script"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/libtool"
+license=('GPL')
+options=('!libtool')
+source=(ftp://ftp.gnu.org/pub/gnu/libtool/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('2ec8997e0c07249eb4cbd072417d70fe'
+         '1e6ba57420c82c663c85e745d11c7eed')
+
+build() {
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  make check
+}
+
+package_libtool() {
+  depends=('sh' "libltdl=$pkgver" 'tar' 'gcc=4.6.1')
+  groups=('base-devel')
+  install=libtool.install
+
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  
+  make DESTDIR=${pkgdir} install-binSCRIPTS install-man install-info \
+                         install-data-local
+  rm -rf ${pkgdir}/usr/share/libtool/libltdl/
+}
+
+package_libltdl() {
+  pkgdesc="A system independent dlopen wrapper for GNU libtool"
+
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  make DESTDIR=${pkgdir} install-libLTLIBRARIES install-includeHEADERS \
+                         install-ltdlincludeHEADERS install-data-local
+  rm -rf ${pkgdir}/usr/share/{aclocal,libtool/config}
+}

Copied: libtool/repos/testing-i686/libtool.install (from rev 140703, libtool/trunk/libtool.install)
===================================================================
--- testing-i686/libtool.install	                        (rev 0)
+++ testing-i686/libtool.install	2011-10-18 13:20:12 UTC (rev 140704)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libtool.info  libtool.info-1  libtool.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: libtool/repos/testing-x86_64/PKGBUILD (from rev 140703, libtool/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-10-18 13:20:12 UTC (rev 140704)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+# NOTE: requires rebuilt with each new gcc version
+
+pkgname=('libtool' 'libltdl')
+pkgver=2.4.2
+pkgrel=1
+pkgdesc="A generic library support script"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/libtool"
+license=('GPL')
+options=('!libtool')
+source=(ftp://ftp.gnu.org/pub/gnu/libtool/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('2ec8997e0c07249eb4cbd072417d70fe'
+         '1e6ba57420c82c663c85e745d11c7eed')
+
+build() {
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  make check
+}
+
+package_libtool() {
+  depends=('sh' "libltdl=$pkgver" 'tar' 'gcc=4.6.1')
+  groups=('base-devel')
+  install=libtool.install
+
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  
+  make DESTDIR=${pkgdir} install-binSCRIPTS install-man install-info \
+                         install-data-local
+  rm -rf ${pkgdir}/usr/share/libtool/libltdl/
+}
+
+package_libltdl() {
+  pkgdesc="A system independent dlopen wrapper for GNU libtool"
+
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  make DESTDIR=${pkgdir} install-libLTLIBRARIES install-includeHEADERS \
+                         install-ltdlincludeHEADERS install-data-local
+  rm -rf ${pkgdir}/usr/share/{aclocal,libtool/config}
+}

Copied: libtool/repos/testing-x86_64/libtool.install (from rev 140703, libtool/trunk/libtool.install)
===================================================================
--- testing-x86_64/libtool.install	                        (rev 0)
+++ testing-x86_64/libtool.install	2011-10-18 13:20:12 UTC (rev 140704)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libtool.info  libtool.info-1  libtool.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list